# -*- coding: utf-8 -*-
from setuphelpers import *
import plistlib

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = "PlantronicsHubInstaller"
app_name = "Plantronics Hub"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*%s*.dmg" % bin_contains)[0]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_dmg(bin_name)


def uninstall():
    # Uninstalling the software
    uninstall_app(app_name)


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    download_url = "https://www.poly.com/content/dam/www/software/PlantronicsHubInstaller.dmg"
    latest_bin = "PlantronicsHubInstaller.dmg"

    print("Download url is: %s" % download_url)

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)

    control.set_software_version(control.get_software_version())
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return result
